<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:content="http://www.springframework.org/schema/context"
       xsi:schemaLocation="
       http://www.springframework.org/schema/beans
       http://www.springframework.org/schema/beans/spring-beans.xsd
       http://www.springframework.org/schema/context
       http://www.springframework.org/schema/context/spring-context.xsd">

    <!-- 扫描dao.impl包下所有标注@Repository的DAO组件 -->
    <content:component-scan base-package="site.clzblog.msshj.dao.impl" />
    <!-- 引入数据库配置文件 -->
    <content:property-placeholder location="jdbc.properties" />

    <bean id = "dataSource" class="org.springframework.jdbc.datasource.DriverManagerDataSource" >
        <property name="driverClassName" value="${jdbc.driverClassName}" />
        <property name="url" value="${jdbc.url}" />
        <property name="password" value="${jdbc.password}" />
        <property name="username" value="${jdbc.username}" />
    </bean>


    <bean name="sessionFactory" id = "sessionFactory"
          class="org.springframework.orm.hibernate4.LocalSessionFactoryBean" >
        <property name="dataSource" ref="dataSource" />
        <!-- 扫描com.hdu.cash.entity包下所有标注@Etity,@Table的实体类 -->
        <!-- 基于JSR 220的JPA注解 -->
        <property name="packagesToScan"  value="site.clzblog.msshj.entity"/>

        <!-- 数据库方言 -->
        <property name="hibernateProperties">
            <props>
                <prop key="connection.autocommit">true</prop>
                <prop key="hibernate.dialect">org.hibernate.dialect.MySQL5Dialect</prop>
                <prop key="hibernate.show_sql">true</prop>
                <prop key="current_session_context_class">thread</prop>
                <prop key="hibernate.current_session_context_class">org.springframework.orm.hibernate4.SpringSessionContext</prop>
            </props>
        </property>
    </bean>

</beans>